org.apache.cassandra.io.util

## Class BufferedPoolingSegmentedFile

- java.lang.Object
- - org.apache.cassandra.io.util.SegmentedFile
  - - org.apache.cassandra.io.util.PoolingSegmentedFile
    - - org.apache.cassandra.io.util.BufferedPoolingSegmentedFile

    public class BufferedPoolingSegmentedFile
    extends PoolingSegmentedFile

### Nested Class Summary

Nested Classes
`static class` `BufferedPoolingSegmentedFile.Builder`

### Field Summary

### Fields inherited from class org.apache.cassandra.io.util.SegmentedFile

`length, onDiskLength, path`

### Constructor Summary

Constructors
Constructor and Description
`BufferedPoolingSegmentedFile(java.lang.String path, long length)`

### Method Summary

Methods
`protected RandomAccessReader` `createReader(java.lang.String path)`

### Methods inherited from class org.apache.cassandra.io.util.PoolingSegmentedFile

`cleanup, getSegment, recycle`

### Methods inherited from class org.apache.cassandra.io.util.SegmentedFile

`getBuilder, getCompressedBuilder, getCompressedBuilder, iterator, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BufferedPoolingSegmentedFile

    public BufferedPoolingSegmentedFile(java.lang.String path,
                                long length)

### Method Detail

#### createReader

    protected RandomAccessReader createReader(java.lang.String path)

Specified by:
  `createReader` in class `PoolingSegmentedFile`